<?php
/**
* @version $Id: ajax.php
* @package Joomla!
* @subpackage GroupJive
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL v2
* @Joomla! is Free Software
* @author Joshua Holmes
* @further developed by Anna Tannenberg, John Bultena, Michael Perthel, David Freund, Mark Raborn and Project GroupJive.
*/

/**
 * Ajax functions
 */
// defines
defined( '_VALID_MOS' ) or defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class ajax_controller extends groupjive_controller{

	function ajax_controller( $option=null, $task=null, $parameters=array(), $ItemId ) {
		$this->groupjive_controller( $option, $task, $parameters, $ItemId );
	}

	function getuserlist() {
		global $_CB_database, $_CB_framework, $gjConfig;
		$gj_username=utf8_decode(trim(cbGetParam($_REQUEST,'username')))	;

		$content = '';

		if( $_CB_framework->myCmsGid() >= $gjConfig['ajax_access'] ) {
			if( $gjConfig['real_names'] ) {
				$name = "a.name";
				$where = "\nWHERE a.name LIKE '%".$gj_username."%'";
				$where .= "\nOR a.username LIKE '%".$gj_username."%'";
			} else {
				$name = "a.username";
				$where = "\nWHERE a.username LIKE '%".$gj_username."%'";
			}

			if( isset($_REQUEST['groupid'])) {
				$groupid = $_REQUEST['groupid'];
				$query="SELECT DISTINCT ".$name." AS username, avatar"
					. "\nFROM #__users a"
					. "\nLEFT JOIN #__comprofiler b"
					. "\nON a.id = b.user_id"
					. "\nLEFT JOIN #__gj_users c"
					. "\nON a.id = c.id_user"
					. $where
					. "\nAND b.approved=1"
					. "\nAND b.confirmed=1"
					. "\nAND c.id_group = '".$groupid."'"
					. "\nAND c.status = 'active'"
					. "\nLIMIT 0,8";
			} else {
				$query="SELECT DISTINCT ".$name." AS username, avatar"
					. "\nFROM #__users a"
					. "\nLEFT JOIN #__comprofiler b"
					. "\nON a.id = b.user_id"
					. $where
					. "\nAND b.approved=1"
					. "\nAND b.confirmed=1"
					. "\nLIMIT 0,8";
			}

			$_CB_database->setQuery($query);
			$rows=$_CB_database->loadObjectList();

			if ($_CB_database->getErrorNum()) {
				echo $_CB_database->stderr();
				return false;
			}

			if (count($rows)== 0) {
				$content = '<p>'.GJ_NO_USERS_FOUND.'</p>';
			}

			$content .= '<ul style="float:left">';
			foreach($rows as $row) {
				if (file_exists("images/comprofiler/tn".$row->avatar)) {
					$image="images/comprofiler/tn".$row->avatar;
				} else if (substr($row->avatar, 0, 7) == 'gallery'
							&&	file_exists('images/comprofiler/'.$row->avatar)) {
					$image="images/comprofiler/".$row->avatar;
				}else {
					$image = $gjConfig['nophoto'];
				}

				$content .= '<li><span onMouseOver="showAvatar(\''
					.$_CB_framework->getCfg( 'live_site' ).'/'.$image
					.'\');" onMouseOut="hideAvatar();" onClick="fillBox(\'fr_name\', \''
					.$row->username.'\');" style="cursor:pointer;">'.$row->username.'</span></li>';
			}
			$content .= '</ul><div id="gjavatarbox"><img id="gjavatar" style="float:left;margin-left:10px;padding:5px;"/></div>';
			echo utf8_encode($content);
		} else {
			echo('no access');
		}
		exit;  //sorry, but I have to exit here, cause I only want this specific data
	}
}
?>
