<?PHP
/**
 * gjPatTemplate function that highlights PHP code in your templates
 *
 * $Id: Phphighlight.php 214 2004-05-18 20:10:45Z schst $
 *
 * @package		gjPatTemplate
 * @subpackage	Functions
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * gjPatTemplate function that highlights PHP code in your templates
 *
 * $Id: Phphighlight.php 214 2004-05-18 20:10:45Z schst $
 *
 * @package		gjPatTemplate
 * @subpackage	Functions
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_Function_Phphighlight extends gjPatTemplate_Function
{
   /**
	* name of the function
	* @access	private
	* @var		string
	*/
	var $_name	=	'Phphighlight';

   /**
	* call the function
	*
	* @access	public
	* @param	array	parameters of the function (= attributes of the tag)
	* @param	string	content of the tag
	* @return	string	content to insert into the template
	*/ 
	function call( $params, $content )
	{
		ob_start();
		highlight_string( $content );
		$content = ob_get_contents();
		ob_end_clean();
		return $content;
	}
}
?>