<?php
/**
* @version $Id: members.php
* @package Joomla!
* @subpackage GroupJive
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL v2
* @Joomla! is Free Software
* @author Joshua Holmes
* @further developed by Anna Tannenberg, John Bultena, Michael Perthel, David Freund, Mark Raborn and Project GroupJive.
*/

/**
 * Categories functions
 */
// defines
defined( '_VALID_MOS' ) or defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

/**
* shows a category
*
*/

class members_controller extends groupjive_controller{

	function members_controller( $option=null, $task=null, $parameters=array(), $ItemId ) {
		$this->groupjive_controller( $option, $task, $parameters, $ItemId );
	}

	function deletemember($groupid = null, $userid = null){
		global $_CB_database, $_CB_framework, $Itemid, $admin;

		if (!$groupid) {
			$groupid = intval( cbGetParam( $_REQUEST, 'groupid', -1));
		}
		else {
			$groupid = intval( $groupid );
		}

		if (!$userid) {
			$userid = intval( cbGetParam( $_REQUEST, 'userid', -1));
		}
		else {
			$userid = intval($userid);
		}

		if (!ismoder($groupid, $_CB_framework->myId()) && $userid == $_CB_framework->myId() && !$admin)	{
			HTML_wg::errorpage(GJ_NOT_MODER, '', $groupid, 'error');
			return;
		}

		$referer = array();
		preg_match('/action=[a-z0-1_\.]*&/', GJ_REFERER, $referer);
		$ptask = $referer[0];

		$query = 'SELECT id FROM #__gj_users WHERE id_group='.$groupid.' AND id_user='.$userid;

		$_CB_database->setQuery($query);
		$associd = $_CB_database->loadResult();

		if($_CB_database->getErrorNum()) {
			echo $_CB_database->stderr();
			return;
		}

		if (!$associd) {
			$_CB_framework->redirect( 'index.php?option=com_groupjive&'.$ptask.'groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_U_G );
			return false;
		}


		$user = new groupJiveUser($_CB_database);
		$user->load( $associd );

		if (!$user->delete()) {
			$_CB_framework->redirect( 'index.php?option=com_groupjive&'.$ptask.'groupid='.$groupid.'&amp;Itemid='.$Itemid, $user->getError());
		}

		$sql = 'DELETE FROM  #__gj_active WHERE too = '.$userid.' AND groups = '.$groupid;
		$_CB_database->setQuery($sql);
		$_CB_database->query();

		if ($ui == $_CB_framework->myId()) {
			$_CB_framework->redirect( 'index.php?option=com_groupjive&'.$ptask.'groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_U_LEFT );
			return true;
		} else {
			$_CB_framework->redirect( 'index.php?option=com_groupjive&'.$ptask.'groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_USER_WAS_DELETED );
			return true;
		}
	}


	function activatemember($groupid = null) {
		global $_CB_database, $Itemid, $_REQUEST, $_CB_framework, $gjConfig;

		if (!$groupid) {
			$groupid = intval( cbGetParam( $_REQUEST, 'groupid',0));
		}

		if (!$_CB_framework->myId()) {
			HTML_wg::errorpage(GJ_NOTAUTH, '', $groupid,'error');
			return;
		}

		$code=addslashes(cbGetParam( $_REQUEST ,'code', '' ));

		$query = "SELECT COUNT(id)"
			. "\nFROM #__gj_active"
			. "\nWHERE code='$code'"
			. "\nAND too=".$_CB_framework->myId()
			. "\nAND groups='$groupid'";

		$_CB_database->setQuery($query);
		$count = $_CB_database->loadResult();

		if($_CB_database->getErrorNum()) {
			echo $_CB_database->stderr();
			return;
		}

		if ($count == 0) {
			HTML_wg::errorpage(GJ_INVITE_NOT_EXIST, '', $groupid,'error');
			return;
		}

		$query = "UPDATE #__gj_users"
			. "\nSET status='active'"
			. "\nWHERE id_group='$groupid'"
			. "\nAND id_user=".$_CB_framework->myId();

		$_CB_database->setQuery($query);
		if(!$result=$_CB_database->query()) {
			echo $_CB_database->stderr();
			return;
		}

		$query = "DELETE FROM #__gj_active"
			. "\nWHERE code='$code'"
			. "\nAND too='".$_CB_framework->myUsername()."'";
		$_CB_database->setQuery($query);
		if(!$result=$_CB_database->query()) {
			echo $_CB_database->stderr();
			return;
		}

		if( $gjConfig['notifyjoin'] ) {
			$message = GJ_NEW_MEMBER;


			$name = $_CB_framework->myUsername();

			if ( $gjConfig['real_names'] ) {
				$myId = $_CB_framework->myId();
				if ( $myId ) {
					$cbUser		=&	CBuser::getInstance( $myId );
					$name = $cbUser->_cbuser->name;
				}
			}

			notify( $groupid, $gjConfig['pms'], $message, $name );
		}

		$_CB_framework->redirect( 'index.php?option=com_groupjive&'
			. 'action=gj.core.groups.showgroup&amp;groupid='
			. $groupid.'&amp;Itemid='
			. $Itemid, GJ_WELCOME );
	}

	function makeactive ( $groupid = null, $userid = null ) {
		$userid = intval(cbGetParam($_REQUEST,'userid',-1));

		if (!$groupid) {
			$groupid = intval( cbGetParam( $_REQUEST, 'groupid',0));
		}

		$this->_changeStatus($userid, $groupid, 'active');
	}

	function makeinactive ( $groupid = null, $userid = null ) {
		$userid = intval(cbGetParam($_REQUEST,'userid',-1));

		if (!$groupid) {
			$groupid = intval( cbGetParam( $_REQUEST, 'groupid',0));
		}

		$this->_changeStatus($userid, $groupid, 'inactive');
	}

	function showinactiveusers($groupid = null) {
		global $_CB_database, $admin, $_CB_framework, $gjConfig;

		if (!$groupid) {
			$groupid = intval( cbGetParam( $_REQUEST, 'groupid',0));
		}

		if (!ismoder($groupid, $_CB_framework->myId()) && !$admin)	{
			HTML_wg::errorpage(GJ_NOT_MODER, '', $groupid,'error');
			return;
		}

		//Lets the moderator force an invited member into a group or not
		if($gjConfig['force_invite'])
			$and = "\nAND (a.status IN ('inactive', 'need approval', 'invited'))";
		else
			$and ="\nAND (a.status IN ('inactive', 'need approval'))";

		$query="SELECT a.*, b.name, b.username AS uname"
			. "\nFROM #__gj_users AS a INNER JOIN #__users AS b "
			. "\nON a.id_user = b.id "
			. "\nWHERE a.id_group='$groupid'"
			. $and;
		$_CB_database->setQuery($query);

		$rows=$_CB_database->loadAssocList();

		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			if ( $gjConfig['real_names'] ) {
				$rows[$i]['realname'] = $rows[$i]['name'];
			} else {
				$rows[$i]['realname'] = $rows[$i]['uname'];
			}
		}

		if ($_CB_database->getErrorNum()) {
			echo $_CB_database->stderr();
			return;
		}

		include('groups.php');
		groups_controller::showgroup($groupid, 'mini');

		HTML_wg::inactive($rows, $groupid);
		$_CB_framework->appendPathWay(GJ_INACTIVE_USERS);
	}


	/**
	 * changes the users status to a specific one
	 *
	 * @param integer $uid userid
	 * @param integer $group groupid
	 * @param text $status status (active, inactive)
	 */
	function _changeStatus ($uid, $group, $status) {
		global $_CB_database, $_CB_framework, $admin,$Itemid, $gjConfig;
		if (!ismoder($group,$_CB_framework->myId()) && !$admin) {
			HTML_wg::errorpage(GJ_NOT_MODER, '', $group,'error');
			return;
		}

		$user = new groupJiveUser($_CB_database);
		if (!$user->getUserObject($uid, $group)) {
			HTML_wg::errorpage($user->getError(), '', $group,'error');
		}
		if (!$user->changeUserState($status)) {
			HTML_wg::errorpage($user->getError(), '', $group,'error');
		}

		switch ($status) {
			case 'active':
				$resultmessage = GJ_IS_ACT_NOW;
				if( $gjConfig['notifyjoin'] ) {
					if( $gjConfig['real_names'] ) {
						$_CB_database->setQuery("SELECT name FROM #__users WHERE id='$uid'");
					} else {
						$_CB_database->setQuery("SELECT username FROM #__users WHERE id='$uid'");
					}
					$newmember = $_CB_database->loadResult();
					$message = GJ_NEW_MEMBER;
					$message=str_replace("%from_name",$newmember,$message);
					notify($group, $gjConfig['pms'], $message, $newmember);
				}
				$_CB_framework->redirect( cbSef('index.php?option=com_groupjive&amp;action=gj.core.members.showinactiveusers&amp;groupid='.$group.'&amp;Itemid='.$Itemid),$resultmessage );
				break;
			case 'inactive':
				$resultmessage = GJ_IS_INACT_NOW;
				$_CB_framework->redirect( cbSef('index.php?option=com_groupjive&amp;action=gj.core.members.showmemberlist&amp;groupid='.$group.'&amp;Itemid='.$Itemid),$resultmessage );
				break;
		}

	}


	function invitefriend() {
		global $_CB_database, $Itemid, $_CB_framework, $gjConfig;

		$cid		=	cbGetParam( $_REQUEST, 'cid', array( 0 ) );

		if ( ! is_array( $cid )) {
			$cid	=	array ( (int) $cid );
		}

		$groupid=intval( cbGetParam( $_REQUEST ,'groupid', -1 ) );


		if(count($cid) == 0) {
			$_CB_framework->redirect( 'index.php?option=com_groupjive&amp;action=gj.core.groups.sign&amp;groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_NO_FRIEND_SELECTED );
			return;
		}

		$group = new groupJiveGroup($_CB_database);
		$group->load($groupid);

		if (!$group->id) {
			// no group exists with that ID
			$_CB_framework->redirect( 'index.php?option=com_groupjive&amp;action=gj.core.groups.sign&amp;groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_NO_GROUP_WITH_THAT_ID );
			}

		$group_name=stripslashes($group->name);

//		$fr_name	=addslashes(cbGetParam($_POST,'fr_name'));
		$fr_email	=addslashes(cbGetParam($_POST,'fr_email'));

		$ctime=time();
		$ctime=md5($ctime);

		if (!checkuseractive($groupid,$_CB_framework->myId())) {
			HTML_wg::errorpage(GJ_ONLY_CURRENT, '', $group->id,'error');
		 		return;
			}

		foreach ($cid as $uid) {

			$cbUser		=&	CBuser::getInstance( $uid );
			$row 		= $cbUser->_cbuser;

			if ( checkuser( $groupid, $uid ) ) {
				$_CB_framework->redirect( 'index.php?option=com_groupjive&amp;action=gj.core.groups.sign&amp;groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_USER_IN_GROUP );
				return;
			}

			$query="INSERT INTO #__gj_active(code,too,groups)"
				. "\nVALUES ('$ctime', $uid ,'$groupid')";
			$_CB_database->setQuery($query);

			if(!$result=$_CB_database->query()) {
				echo $_CB_database->stderr();
				return;
			}

			$query="INSERT IGNORE INTO #__gj_users (id_user,id_group,status,date)"
				. "\nVALUES ('$uid','$groupid','invited', now())";

			$_CB_database->setQuery($query);
			if(!$result=$_CB_database->query()) {
				echo $_CB_database->stderr();
				return;
			}

			//Send inviting message via PM or e-mail
			notify($groupid, $gjConfig['pms'], '', $uid,"invite", $row, $ctime);
		}

		// email Invite
		if(!empty($fr_email)) {

			$name = $_CB_framework->myUsername();

			if ( $gjConfig['real_names'] ) {
				$myId = $_CB_framework->myId();
				if ( $myId ) {
					$cbUser		=&	CBuser::getInstance( $myId );
					$name = $cbUser->_cbuser->name;
				}
			}

				//To non-registered friends
			if (cbIsValidEmail( $fr_email )) {
				$message=str_replace("%from_name","<a href=".cbSef($_CB_framework->getCfg( 'live_site' )."/index.php?option=com_comprofiler&amp;task=userProfile&amp;user=".$_CB_framework->myId()).">".$name."</a>",GJ_INVITE_NONMEMBER);
				$message=str_replace("%i","<a href=".cbSef($_CB_framework->getCfg( 'live_site' )).">".$_CB_framework->getCfg( 'live_site' )."</a>",$message);
				$message=str_replace("%group_name","<a href=".cbSef($_CB_framework->getCfg( 'live_site' )."/index.php?option=com_groupjive&amp;action=gj.core.groups.showgroup&amp;groupid=$groupid").">".$group_name."</a>",$message);
				$message=str_replace("%s","<a href=".cbSef($_CB_framework->getCfg( 'live_site' )).">".$_CB_framework->getCfg( 'sitename' )."</a>",$message);
				$message=str_replace("%link","<a href=".cbSef($_CB_framework->getCfg( 'live_site' )."/index.php?option=com_groupjive&amp;action=gj.core.groups.showgroup&amp;groupid=$groupid").">".$group_name."</a>",$message);
				gjMail($_CB_framework->getCfg( 'mailfrom' ), "Group Messenger", $fr_email, GJ_YOU_WAS_INVITED, $message, true);
			} else {
				$_CB_framework->redirect( 'index.php?option=com_groupjive&amp;action=gj.core.groups.sign&amp;groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_NOT_VALID_EMAIL );
				return;
			}
		}

		$_CB_framework->redirect( 'index.php?option=com_groupjive&amp;action=gj.core.groups.showgroup&amp;groupid='.$groupid.'&amp;Itemid='.$Itemid, GJ_INVITE_WAS_SENT );
	}

	function showmemberlist() {
		global $_CB_database, $_REQUEST, $_CB_framework, $admin, $gjConfig;
		$gid = intval($_REQUEST['groupid']);

		$g = new groupJiveGroup($_CB_database);
		$g->load($gid);

		if (($g->type == 3) && (!checkuseractive($g->id,$_CB_framework->myId()) && !$admin)) {
			HTML_wg::errorpage(GJ_NOTAUTH.'<br/>'.GJ_PLEASE_LOGIN, '', $g->id,'error');
			return;
		} else if (($g->type == 2) && (!checkuser($g->id,$_CB_framework->myId()) && !$admin)){
			HTML_wg::errorpage('<a href="'
				. cbSef("index.php?option=com_groupjive"
				. "&amp;action=gj.core.groups.sign&amp;groupid=$g->id").'">'
				. GJ_SIGN.'</a>', GJ_ERROR_JOIN_GROUP_L1.'<br/>'.GJ_ERROR_JOIN_GROUP_L2, $g->id,'error');
			return;
		} else if (($g->type == 2) && (!checkuseractive($g->id,$_CB_framework->myId()) && !$admin)){
			HTML_wg::errorpage(GJ_PENDING, '', $g->id,'error');
			return;
		}



		$query="SELECT COUNT(*)"
			. "\nFROM #__gj_users as a INNER JOIN #__gj_groups as b"
			. "\nON a.id_group = b.id"
			. "\nINNER JOIN #__gj_grcategory as c"
			. "\nON b.category = c.id"
			. "\nWHERE id_group='$gid' AND status='active'"
			. "\nAND c.published=1 AND c.access <= ".$_CB_framework->myCmsGid();

		$_CB_database->setQuery($query);
		$result = $_CB_database->loadResult();

		if ($_CB_database->getErrorNum()) {
			echo $_CB_database->stderr();
			return false;
		}

		$count = $_CB_database->loadResult();
		$limit = intval(cbGetParam( $_REQUEST, 'limit', $gjConfig['onpage_members'] ));
		$limitstart = intval(cbGetParam( $_REQUEST, 'limitstart', 0 ));

		cbImport('cb.pagination');
		$pageNav = new cbPageNav( $count, $limitstart, $limit  );

		$query="SELECT a.*,DATE_FORMAT(date, '".$gjConfig['date_form']."') AS date, "
			. "b.user_id AS creator, d.avatar, e.name, e.username "
			. "FROM #__gj_users as a INNER JOIN #__gj_groups as b "
			. "ON a.id_group = b.id "
			. "INNER JOIN #__gj_grcategory as c "
			. "ON b.category = c.id "
			. "INNER JOIN #__users AS e "
			. "ON a.id_user = e.id "
			. "INNER JOIN #__comprofiler AS d "
			. "ON a.id_user = d.id "
			. "WHERE id_group='$gid' AND status='active' "
			. "AND c.published=1 AND c.access <= ".$_CB_framework->myCmsGid()
			. "\nLIMIT " . (int) $pageNav->limitstart . ", " . (int) $pageNav->limit;

		$_CB_database->setQuery($query);
		$usrows=$_CB_database->loadObjectList();

		if ($_CB_database->getErrorNum()) {
			echo $_CB_database->stderr();
			return false;
		}

		if (count($usrows)==0) {
			HTML_wg::errorpage(GJ_PAGE_NOT_EX, '', $gid,'error');
			return;
		}


		HTML_wg::member_list($gid, $count, $usrows, $pageNav);
		$_CB_framework->appendPathWay(GJ_MEMBERS);
	}

	function transfer () {
		global $_CB_framework;
		$group_id = intval(cbGetParam($_REQUEST, 'groupid', 0));
		HTML_wg::transfer($group_id);
		$_CB_framework->appendPathWay(GJ_TRANSFER_OWNER);
	}

	function transfer_owner () {
		$userid 	= cbGetParam($_REQUEST, 'userid', 0);
		$groupid 	= intval(cbGetParam($_REQUEST, 'groupid', 0));

		$this->transferToNewOwner($userid, $groupid);
	}
	
	function transferToNewOwner($userid, $groupid) {
		global $_CB_database, $_CB_framework, $gjConfig;

		$query = "SELECT a.id"
				. "\nFROM #__users AS a, #__gj_users AS b"
				. "\nWHERE b.id_group = ".$groupid
				. "\nAND b.id_user = ".$userid
				. "\nAND a.id = b.id_user"
				. "\nAND b.status = 'active'";

		$_CB_database->setQuery($query);
		$owner_id = $_CB_database->loadResult();
	
		if($owner_id) {
			$query = "UPDATE #__gj_groups SET creator = '', user_id = '".$owner_id."' WHERE id = ".$groupid;

			$_CB_database->setQuery($query);
			$_CB_database->query();
	
			$_CB_framework->redirect("index.php?option=com_groupjive&amp;action=gj.core.groups.showgroup&amp;groupid=".$groupid, GJ_TRANSFERRED);
		} else {
			$_CB_framework->redirect("index.php?option=com_groupjive&amp;action=gj.core.groups.showgroup&amp;groupid=".$groupid, GJ_TRANS_TO_MBR_RQD);
		}
	}
}
?>
