<?PHP
/**
 * Base class for gjPatTemplate variable modifiers
 *
 * $Id: Modifier.php 219 2004-05-25 20:38:38Z schst $
 *
 * A modifier is used to modify a variable when it's parsed
 * into the template.
 *
 * @package		gjPatTemplate
 * @subpackage	Modifiers
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * Base class for gjPatTemplate variable modifiers
 *
 * $Id: Modifier.php 219 2004-05-25 20:38:38Z schst $
 *
 * A modifier is used to modify a variable when it's parsed
 * into the template.
 *
 * @abstract
 * @package		gjPatTemplate
 * @subpackage	Modifiers
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_Modifier extends gjPatTemplate_Module
{
   /**
	* modify the value
	*
	* @access	public
	* @param	string		value
	* @return	string		modified value
	*/
	function modify( $value, $params = array() )
	{
		return $value;
	}
}
?>