<?PHP
/**
 * Base class for gjPatTemplate output filter
 *
 * $Id: OutputFilter.php 219 2004-05-25 20:38:38Z schst $
 *
 * An output filter is used to modify the output
 * after it has been processed by gjPatTemplate, but before
 * it is sent to the browser.
 *
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */

/**
 * Base class for gjPatTemplate output filter
 *
 * $Id: OutputFilter.php 219 2004-05-25 20:38:38Z schst $
 *
 * An output filter is used to modify the output
 * after it has been processed by gjPatTemplate, but before
 * it is sent to the browser.
 *
 * @abstract
 * @package		gjPatTemplate
 * @subpackage	Filters
 * @author		Stephan Schmidt <schst@php.net>
 */
class gjPatTemplate_OutputFilter extends gjPatTemplate_Module
{
   /**
	* apply the filter
	*
	* @access	public
	* @param	string		data
	* @return	string		filtered data
	*/
	function apply( $data )
	{
		return $data;
	}
}
?>